Update a document via changelogs
curl --request POST \
--url https://api-joy.joyfill.io/v1/documents/{identifier}/changelogs \
--header 'Content-Type: application/json' \
--data '
{
"changelogs": "<array>"
}
'import requests
url = "https://api-joy.joyfill.io/v1/documents/{identifier}/changelogs"
payload = { "changelogs": "<array>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({changelogs: '<array>'})
};
fetch('https://api-joy.joyfill.io/v1/documents/{identifier}/changelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"{\n \"type\": \"String\",\n \"identifer\": \"String\",\n \"name\": \"String\",\n \"group\": \"String\",\n \"stage\": \"String\",\n \"files\": \"Array\",\n \"fields\": \"Array\"\n}"Documents
Update a document via changelogs
POST
/
documents
/
{identifier}
/
changelogs
Update a document via changelogs
Headers
Supports both API Key and User Access Token authorization. See https://joyfill.mintlify.app/api/authentication
Path Parameters
Body
application/json
Array of Joyfill changelog objects. See https://docs.joyfill.io/docs/changelogs
Was this page helpful?
⌘I